import click

from mgrctl.cli.lazy_group import LazyGroup
from mgrctl.settings.general import INSTALLED_APPS
from mgrctl.apps.vm6 import __version__


@click.group(
    cls=LazyGroup,
    lazy_subcommands=INSTALLED_APPS['vm6'],
    help='vm6 command for VM6manager management',
)
@click.version_option(
    version=__version__,
    package_name='mgrctl',
    message=__version__
)
def cli():
    pass
