from mgrctl.settings.environment import env
from mgrctl.utils.helpers import parse_json_file


PLATFORM_TYPE = env.str('PLATFORM_TYPE', 'vm')

PLATFORM_VERIFY_SSL = env.bool('PLATFORM_VERIFY_SSL', True)
PLATFORM_VERIFY_SSL_WARNING = env.bool('PLATFORM_VERIFY_SSL_WARNING', True)

PLATFORM_CONFIG = env.str(
    'PLATFORM_CONFIG',
    f'/opt/ispsystem/{PLATFORM_TYPE}/config.json'
)

PLATFORM_CONFIG = parse_json_file(PLATFORM_CONFIG)

PLATFORM_URL = env.str(
    'PLATFORM_URL',
    f"https://{PLATFORM_CONFIG.get('DomainName' ,'replace.me')}"
)

# Development mode:
PLATFORM_DUMMY = env.bool('PLATFORM_DUMMY', False)

if PLATFORM_TYPE == 'vm':
    PLATFORM_DUMMY_API_URL = env.str('PLATFORM_DUMMY_VM6_API_URL', '')
    PLATFORM_DUMMY_EMAIL = env.str('PLATFORM_DUMMY_VM6_EMAIL', '')
    PLATFORM_DUMMY_PASSWORD = env.str('PLATFORM_DUMMY_VM6_PASSWORD', '')
    PLATFORM_DUMMY_TOKEN = env.str('PLATFORM_DUMMY_VM6_TOKEN', '')
elif PLATFORM_TYPE == 'dci':
    PLATFORM_DUMMY_API_URL = env.str('PLATFORM_DUMMY_DCI6_API_URL', '')
    PLATFORM_DUMMY_EMAIL = env.str('PLATFORM_DUMMY_DCI6_EMAIL', '')
    PLATFORM_DUMMY_PASSWORD = env.str('PLATFORM_DUMMY_DCI6_PASSWORD', '')
    PLATFORM_DUMMY_TOKEN = env.str('PLATFORM_DUMMY_DCI6_TOKEN', '')
else:
    # ? guarantees that constants exist for import
    # ? if the user has set the wrong PLATFORM_TYPE:
    PLATFORM_DUMMY_API_URL = env.str('PLATFORM_DUMMY_API_URL', '')
    PLATFORM_DUMMY_EMAIL = env.str('PLATFORM_DUMMY_EMAIL', '')
    PLATFORM_DUMMY_PASSWORD = env.str('PLATFORM_DUMMY_PASSWORD', '')
    PLATFORM_DUMMY_TOKEN = env.str('PLATFORM_DUMMY_TOKEN', '')
