#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import click

from cli.lazy_group import LazyGroup
from cli.utils import print_version


@click.group(
    cls=LazyGroup,
    lazy_subcommands={
        'builder': 'cli.builder.cli',
        'runner': 'cli.runner.cli',
    },
    help='dev.py CLI tool for dev actions',
)
@click.option(
    '--version',
    is_flag=True,
    callback=print_version,
    expose_value=False,
    is_eager=True,
    help='Print version and exit'
)
def cli():
    pass


if __name__ == '__main__':
    cli()
